/*
 * IRC - Internet Relay Chat, include/res.h
 *
 * See file doc/authors for names of the programmers.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef RES_H
#define RES_H

#include <netinet/in.h>
#include <netdb.h>
#ifdef HPUX
#ifndef h_errno
extern int h_errno;
#endif
#endif
#include "list.h"

/*=============================================================================
 * General defines
 */

#ifndef INADDR_NONE
#define INADDR_NONE 0xffffffff
#endif

/*=============================================================================
 * Proto types
 */

extern int init_resolver(void);
extern time_t timeout_query_list(void);
extern void del_queries(char *cp);
extern void add_local_domain(char *hname, int size);
extern struct hostent *gethost_byname(char *name, Link *lp);
extern struct hostent *gethost_byaddr(struct in_addr *addr, Link *lp);
extern struct hostent *get_res(char *lp);
extern time_t expire_cache(void);
extern void flush_cache(void);
extern int m_dns(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern size_t cres_mem(aClient *sptr);

#endif /* RES_H */
