#!/usr/bin/perl

# RaptorIRCD - Internet Relay Chat Daemon, ./install.pl

# See file doc/authors for additional names of
# the programmers.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

$srcdir = join("", `pwd`);
$srcdir =~ s/\n//g;
$srcdir =~ s/\/^//;
&error unless (-f "$srcdir/config/config.h");
&error unless (-f "$srcdir/ircd/ircd");

open (CONFIG, "$srcdir/config/config.h");
@contents = <CONFIG>;
close CONFIG;
$BINDIR = "";
foreach $line (@contents)
{
  if ($line =~ /#define\ BINDIR\ "/)
  {
    chomp $line;
    $line =~ s/#define\ BINDIR\ "([^\"]*)".*/$1/;
    $BINDIR = $line if $line;
  }
}

open (CONFIG, "$srcdir/config/network.h");
@contents = <CONFIG>;
close CONFIG;
$NETWORK = "";
foreach $line (@contents)
{
  if ($line =~ /#include\ /)
  {
    chomp $line;
    $line =~ s/#include\ "\.\.\/networks\/([^\.]*)\..*/$1/;
    $NETWORK = $line if $line;
  }
}


`mkdir -p $BINDIR`;
die "Can't create $BINDIR" unless (-d $BINDIR);

`cp $srcdir/networks/$NETWORK.conf $BINDIR/ircd.conf` if (!(-f "$BINDIR/ircd.conf"));
`cp $srcdir/networks/$NETWORK.motd $BINDIR/ircd.motd` if (!(-f "$BINDIR/ircd.motd"));
`cp $srcdir/networks/$NETWORK.rmotd $BINDIR/remote.motd` if (!(-f "$BINDIR/remote.motd"));
`cp $srcdir/networks/$NETWORK.rules $BINDIR/ircd.rules` if (!(-f "$BINDIR/ircd.rules"));

`rm -f $BINDIR/ircd` if ($BINDIR ne "$srcdir/ircd");
`rm -f $BINDIR/doc`;

`ln -s $srcdir/ircd/ircd $BINDIR/ircd` if ($BINDIR ne "$srcdir/ircd");
`ln -s $srcdir/doc $BINDIR/doc`;
`cd $BINDIR`;

sub error
{
  die "Usage:\n./configure\nmake config\nmake\n./install.pl\n";
}
